.radio-host {
  line-height: 0;
  -webkit-tap-highlight-color: transparent;

  &:focus-within {
    .radio {
      box-shadow:
        0px 0px 0px 2px var(--brand-bw-white),
        0px 0px 0px 3px var(--Brand-Primary-Blue-500);
    }
  }
}

.radio {
  aspect-ratio: 1 / 1;
  flex-shrink: 0;
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: var(--brand-bw-white);
  border-radius: 50%;
  border: 1px solid var(--Brand-Gray-500);
  outline: none;
  transition-property: border, background-color;
  transition-duration: var(--transition-duration);
  transition-timing-function: var(--transition-timing-function);
  cursor: pointer;

  &.size-sm {
    width: 14px;
    min-width: 14px;
    --icon-size: 6px;
  }
  &.size-md {
    width: 16px;
    min-width: 16px;
    --icon-size: 7px;
  }
  &.size-lg {
    width: 20px;
    min-width: 20px;
    --icon-size: 10px;
  }

  &:hover {
    border: 1px solid var(--brand-primary-blue-700-main);
  }

  &:has(input:disabled) {
    border: 1px solid var(--Brand-Gray-300);
    background-color: var(--Brand-Gray-50);
    cursor: default;
    --radio-icon-color: var(--Brand-Gray-300);
  }

  &:has(input:checked) {
    border: 1px solid var(--brand-primary-blue-700-main);
    --radio-icon-color: var(--brand-primary-blue-700-main);

    &:has(input:disabled) {
      border: 1px solid var(--Brand-Gray-300);
      background-color: var(--Brand-Gray-50);
      --radio-icon-color: var(--Brand-Gray-300);
    }

    & > .radio__icon {
      display: block;
      visibility: visible;
    }
  }
}

.radio__icon {
  aspect-ratio: 1 / 1;
  width: var(--icon-size);
  border-radius: 50%;
  line-height: 0;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background-color: var(--radio-icon-color);
  display: none;
  visibility: invisible;
}

.radio__input {
  position: absolute;
  z-index: -1;
  overflow: hidden;
  opacity: 0;
}
